Package ru.bitel.bgbilling.modules.email.server.bean

# Class JDBCEmailServiceActivator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.email.server.bean.EmailServiceActivator
ru.bitel.bgbilling.modules.email.server.bean.JDBCEmailServiceActivator

All Implemented Interfaces:
  `AutoCloseable`

public class JDBCEmailServiceActivator extends EmailServiceActivator

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JDBCEmailServiceActivator(Domain domain, ParameterMap moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `cancelImpl(Account account)`
  `void`
  `close()`
  `protected void`
  `createImpl(Account account)`
  `protected void`
  `modifyImpl(Account account)`
  `protected void`
  `removeDomainImpl(Domain domain)`
  `protected void`
  `updateDomainImpl(Domain domain)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.email.server.bean.EmailServiceActivator

  `cancel, create, modify, removeDomain, updateDomain`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JDBCEmailServiceActivator

    public JDBCEmailServiceActivator(Domain domain, ParameterMap moduleSetup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Overrides:
      `close` in class `EmailServiceActivator`

  - ### createImpl

    protected void createImpl(Account account) throws Exception
    Specified by:
      `createImpl` in class `EmailServiceActivator`
    Throws:
      `Exception`

  - ### modifyImpl

    protected void modifyImpl(Account account) throws Exception
    Specified by:
      `modifyImpl` in class `EmailServiceActivator`
    Throws:
      `Exception`

  - ### cancelImpl

    protected void cancelImpl(Account account) throws Exception
    Specified by:
      `cancelImpl` in class `EmailServiceActivator`
    Throws:
      `Exception`

  - ### removeDomainImpl

    protected void removeDomainImpl(Domain domain) throws Exception
    Specified by:
      `removeDomainImpl` in class `EmailServiceActivator`
    Throws:
      `Exception`

  - ### updateDomainImpl

    protected void updateDomainImpl(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `updateDomainImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`